
Include "parameters.pro";

p1 = newp; Point(p1) = {-L_tube,-W_tube/2,0,res};
p2 = newp; Point(p2) = {dr,-W_tube/2,0,res};
p3 = newp; Point(p3) = {0,W_tube/2,0,res};
p4 = newp; Point(p4) = {-L_tube,W_tube/2,0,res};

p0 = newp; Point(p0)   = {0,R,0,res};
p00 = newp; Point(p00) = {dr,R-dr,0,res};

p5 = newp; Point(p5) = {W_tube/2+R,R-dr,0,res};
p6 = newp; Point(p6) = {W_tube/2+R,L_tube+R,0,res};
p7 = newp; Point(p7) = {-W_tube/2+R,L_tube+R,0,res};
p8 = newp; Point(p8) = {-W_tube/2+R,R,0,res};
p9 = newp; Point(p9) = {-L_tube, L_2cc/2,0, res};
p10 = newp; Point(p10) = {-L_tube-W_2cc, L_2cc/2,0, res};
p11 = newp; Point(p11) = {-L_tube, -L_2cc/2,0, res};
p12 = newp; Point(p12) = {-L_tube-W_2cc, -L_2cc/2,0, res};
p13 = newp; Point(p13) = {-L_tube-W_2cc, W_output/2,0,res};
p14 = newp; Point(p14) = {-L_tube-W_2cc-L_output, W_output/2,0,res};
p15 = newp; Point(p15) = {-L_tube-W_2cc-L_output, -W_output/2,0,res};
p16 = newp; Point(p16) = {-L_tube-W_2cc, -W_output/2,0,res};

/* defining the lines */
l1 = newl; Line(l1) = {p1,p2};
l2 = newl; Circle(l2) = {p2,p00,p5};
l3 = newl; Line(l3) = {p5,p6};
l4 = newl; Line(l4) = {p6,p7};
l5 = newl; Line(l5) = {p7,p8};
l6 = newl; Circle(l6) = {p8,p0,p3};
l7 = newl; Line(l7) = {p3,p4};
l8 = newl; Line(l8) = {p4, p9};
l9 = newl; Line(l9) = {p9, p10};
l10 = newl; Line(l10) = {p10, p13};
l11 = newl; Line(l11) = {p13, p14};
l12 = newl; Line(l12) = {p14, p15};
l13 = newl; Line(l13) = {p15, p16};
l14 = newl; Line(l14) = {p16, p12};
l15 = newl; Line(l15) = {p12, p11};
l16 = newl; Line(l16) = {p11, p1};


loop1 = newll;
Line Loop(loop1) = {l1,l2,l3,l4,l5,l6,l7,l8,l9,l10,l11,l12,l13,l14,l15,l16}; 

s1 = news; Plane Surface(s1) = {loop1};

Physical Surface(1001) = {s1};

/* Walls */
Physical Line(101) = {l1,l2,l3,l5,l6,l7,l8,l9,l10,l11,l13,l14,l15,l16} ;
/* Inlet */
Physical Line(102) = {l4};
/* Outlet */
Physical Line(103) = {l12};